Bug 490692 - Cannot remount crypted device
Cannot remount crypted device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 12:55 EDT by Zbysek MRAZ
Modified: 2015-03-03 17:40 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:30:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zbysek MRAZ 2009-03-17 12:55:26 EDT
Description of problem:
Cannot remount crypted device

Version-Release number of selected component (if applicable):
DeviceKit-003-1.x86_64
nautilus-2.25.93-1.fc11.x86_64
gvfs-1.1.8-2.fc11.x86_64
gnome-disk-utility-0.2-2.fc11.x86_64

How reproducible:
Always

Steps to Reproduce in nautilus:
1. Unlock and mount crypted USB device
2. Unmount it (do not unplug)
3. Doubleclick on the device (to mount and open it) again
  
Actual results:
Asking for passphrase the error window appeared and device is not mounted again.
The error message:
Expected G_MOUNT_OPERAION_HANDLED gut got 2

Expected results:
Window with content of the device appears

Additional info:
Trying to handle it in palimpsest utility, but none of options is active. Can be connected with palimpsest abilities, not with this bug...
Comment 1 Matthias Clasen 2009-03-24 22:39:13 EDT
I can reproduce the nautilus problem. The error message comes out of ggdu-volume.c. Moving to gvfs.
Comment 2 Alexander Larsson 2009-03-25 05:02:32 EDT
This is fixed upstream by this commit:

2009-03-18  Alexander Larsson  <alexl@redhat.com>

	Bug 575728 – crash in Open Folder: mountin a crypto volume

        * common/gvfsdaemonprotocol.h:
        * common/gmountoperationdbus.c:
	Handle the new "aborted" signal

        * common/gmountsource.c:
	Fix argument order in g_mount_source_ask_password_finish call.
	stop signal emissions in ask_password and ask_question handlers
	to avoid the default handler sending a not implemented error.
	Handle the new "aborted" signal.
Comment 3 Bug Zapper 2009-06-09 08:18:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 09:13:58 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 07:30:13 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.